Bug 453915 - xmms problem with german umlaufs locale setting de_de.UTF-8
xmms problem with german umlaufs locale setting de_de.UTF-8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-03 04:12 EDT by Stefan Jensen
Modified: 2009-01-09 01:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dialog window with locale de_de.UTF-8 (2.73 KB, image/png)
2008-07-03 04:12 EDT, Stefan Jensen
no flags Details
Dialog window with locale de_DE and correct german umlauts (2.57 KB, image/png)
2008-07-03 04:13 EDT, Stefan Jensen
no flags Details

  None (edit)
Description Stefan Jensen 2008-07-03 04:12:19 EDT
Description of problem:

xmms can't display german umlauts in Menu

Version-Release number of selected component (if applicable):

xmms-xosd-2.2.14-10.fc8
xmms-faad2-2.0-21.20050131.lvn8
xmms-crossfade-0.3.12-2
xmms-acme-0.4.3-8
xmms-1.2.10-36.fc7
bluecurve-xmms-skin-1.0.0-1.fc8
xmms-cdread-0.14-12.fc6
xmms-speex-0.9.1-11
xmms-libs-1.2.10-36.fc7
xmms-musepack-1.2-5.fc8
xmms-mp3-1.2.10-5.lvn6
xmms-flac-1.1.4-3.fc8
xmms-modplug-2.05-11.fc8


How reproducible:

Always

Steps to Reproduce:

1. settings locale to "de_DE.UTF-8"
2. launch xmms
3. right click on app window to display menu
  
Actual results:

german umlauts are not displayed correctly

Expected results:

german umlauts displayed correctly

Additional info:

$ cat /etc/sysconfig/i18n 
LANG="de_DE.UTF-8"
SYSFONT="latarcyrheb-sun16"

Please see screenshots

When launching xmms with other locale points out other font erros, but
displayed german umlauts correctly.

$ LANG=de_DE xmms

The font "Sans 8" does not support all the required character sets for the
current locale "de_DE"
  (Missing character set "ISO8859-1")
  (Missing character set "ISO8859-1")

The font "Sans 8" does not support all the required character sets for the
current locale "de_DE"
  (Missing character set "ISO8859-1")
  (Missing character set "ISO8859-1")

Please see second screenshot with correct german umlauts.
Comment 1 Stefan Jensen 2008-07-03 04:12:19 EDT
Created attachment 310897 [details]
Dialog window with locale de_de.UTF-8
Comment 2 Stefan Jensen 2008-07-03 04:13:45 EDT
Created attachment 310898 [details]
Dialog window with locale de_DE and correct german umlauts

Dialog window with locale de_DE and correct german umlauts
Comment 3 Michael Schwendt 2008-11-16 08:45:06 EST
Not reproducible without any details. It may have to do with how
you customised your desktop (fonts, theme) and that XMMS uses the
old GTK+ 1 and doesn't come with modern support for Unicode. That's
why some projects have forked the player to develop it further. E.g.
(Audacious in package "audacious").
Comment 4 Bug Zapper 2008-11-26 05:56:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:39:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.